# Player
declaration: class: Player

# Class Player

java.lang.Object
Player

Direct Known Subclasses:
  `GomokuAI`, `Human`

abstract class Player extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Color`
`color`
The color of the Player
`private String`
`name`
The name of the Player

## Constructor Summary

Constructors
Constructor
Description
`Player()`

## Method Summary

Modifier and Type
Method
Description
`abstract GomokuCell`
`chooseMove(GomokuBoard board)`
Return the coordinate of the move played by the player.
`Color`
`getColor()`
Return the color of the player.
`String`
`getName()`
Return the name of the player.
`void`
`Player(String name, Color color)`
The constructor of the Player.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

private String name
The name of the Player

### color

protected Color color
The color of the Player

## Constructor Details

### Player

Player()

## Method Details

### Player

public void Player(String name, Color color)
The constructor of the Player.

Parameters:
  `name` - The name of the player.
  `color` - The color of the player.

### getName

public String getName()
Return the name of the player.

Returns:
  The name of the player.

### getColor

public Color getColor()
Return the color of the player.

Returns:
  The color of the player.

### chooseMove

public abstract GomokuCell chooseMove(GomokuBoard board)
Return the coordinate of the move played by the player.

Parameters:
  `board` - The actual Gomoku board.
Returns:
  The cell of the move played.